<?php
namespace nur\b\params\impl;

use nur\b\params\Tparametrable;

class BPD2 extends BPD1 {
  use Tparametrable;

  const PARAMETRABLE_PARAMS_SCHEMA = [
    "int" => ["int", 42],
    "nint" => ["?int", null],
    "bool" => ["bool", null],
    "nbool" => ["?bool", null],
  ];

  public $ppBool, $ppNbool;

  function od2Values(): array {
    return [$this->ppInt, $this->ppNint, $this->ppBool, $this->ppNbool];
  }
}
